<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Groovydoc (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Groovydoc (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/javadoc/Groovydoc.html" target="_top">Frames</a></li>
<li><a href="Groovydoc.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.javadoc</div>
<h2 title="Class Groovydoc" class="title">Class Groovydoc</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.SourceTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.javadoc.Groovydoc</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks">@CacheableTask</a>
public class <span class="strong">Groovydoc</span>
extends <a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></pre>
<div class="block"><p>Generates HTML API documentation for Groovy source, and optionally, Java source.

 <p>This task uses Groovy's Groovydoc tool to generate the API documentation. Please note
 that the Groovydoc tool has some limitations at the moment. The version of the Groovydoc
 that is used, is the one from the Groovy dependency defined in the build script.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc">Groovydoc.Link</a></strong></code>
<div class="block">A Link class represent a link between groovydoc/javadoc output and url.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#source">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#Groovydoc()">Groovydoc</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#generate()">generate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.gradle.api.internal.tasks.AntGroovydoc</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getAntGroovydoc()">getAntGroovydoc</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Returns the classpath used to locate classes referenced by the documented sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getDestinationDir()">getDestinationDir</a></strong>()</code>
<div class="block">Returns the directory to generate the documentation into.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getDocTitle()">getDocTitle</a></strong>()</code>
<div class="block">Returns the title for the package index(first) page.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getFooter()">getFooter</a></strong>()</code>
<div class="block">Returns the HTML footer for each page.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getGroovyClasspath()">getGroovyClasspath</a></strong>()</code>
<div class="block">Returns the classpath containing the Groovy library to be used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getHeader()">getHeader</a></strong>()</code>
<div class="block">Returns the HTML header for each page.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc">Groovydoc.Link</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getLinks()">getLinks</a></strong>()</code>
<div class="block">Returns the links to groovydoc/javadoc output at the given URL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getOverviewText()">getOverviewText</a></strong>()</code>
<div class="block">Returns a HTML text to be used for overview documentation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getSource()">getSource</a></strong>()</code>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#getWindowTitle()">getWindowTitle</a></strong>()</code>
<div class="block">Returns the browser window title for the documentation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#isIncludePrivate()">isIncludePrivate</a></strong>()</code>
<div class="block">Returns whether to include all classes and members (i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#isNoTimestamp()">isNoTimestamp</a></strong>()</code>
<div class="block">Returns whether to include timestamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#isNoVersionStamp()">isNoVersionStamp</a></strong>()</code>
<div class="block">Returns whether to include version stamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#isUse()">isUse</a></strong>()</code>
<div class="block">Returns whether to create class and package usage pages.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#link(java.lang.String,%20java.lang.String...)">link</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;packages)</code>
<div class="block">Add links to groovydoc/javadoc output at the given URL.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setAntGroovydoc(org.gradle.api.internal.tasks.AntGroovydoc)">setAntGroovydoc</a></strong>(org.gradle.api.internal.tasks.AntGroovydoc&nbsp;antGroovydoc)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath used to locate classes referenced by the documented sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setDestinationDir(java.io.File)">setDestinationDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationDir)</code>
<div class="block">Sets the directory to generate the documentation into.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setDocTitle(java.lang.String)">setDocTitle</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;docTitle)</code>
<div class="block">Sets title for the package index(first) page (optional).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setFooter(java.lang.String)">setFooter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;footer)</code>
<div class="block">Sets footer text for each page (optional).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setGroovyClasspath(org.gradle.api.file.FileCollection)">setGroovyClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;groovyClasspath)</code>
<div class="block">Sets the classpath containing the Groovy library to be used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setHeader(java.lang.String)">setHeader</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;header)</code>
<div class="block">Sets header text for each page (optional).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setIncludePrivate(boolean)">setIncludePrivate</a></strong>(boolean&nbsp;includePrivate)</code>
<div class="block">Sets whether to include all classes and members (i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setLinks(java.util.Set)">setLinks</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc">Groovydoc.Link</a>&gt;&nbsp;links)</code>
<div class="block">Sets links to groovydoc/javadoc output at the given URL.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setNoTimestamp(boolean)">setNoTimestamp</a></strong>(boolean&nbsp;noTimestamp)</code>
<div class="block">Sets whether to include timestamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setNoVersionStamp(boolean)">setNoVersionStamp</a></strong>(boolean&nbsp;noVersionStamp)</code>
<div class="block">Sets whether to include version stamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setOverviewText(org.gradle.api.resources.TextResource)">setOverviewText</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;overviewText)</code>
<div class="block">Sets a HTML text to be used for overview documentation (optional).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setUse(boolean)">setUse</a></strong>(boolean&nbsp;use)</code>
<div class="block">Sets whether to create class and package usage pages.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#setWindowTitle(java.lang.String)">setWindowTitle</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;windowTitle)</code>
<div class="block">Sets the browser window title for the documentation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getExcludes()">getExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getIncludes()">getIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getPatternSetFactory()">getPatternSetFactory</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.Iterable)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.String...)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setIncludes(java.lang.Iterable)">setIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(org.gradle.api.file.FileTree)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(java.lang.Object)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#source(java.lang.Object...)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Groovydoc()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Groovydoc</h4>
<pre>public&nbsp;Groovydoc()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="generate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generate</h4>
<pre>protected&nbsp;void&nbsp;generate()</pre>
</li>
</ul>
<a name="getSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre><a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#RELATIVE">RELATIVE</a>)
public&nbsp;<a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getSource()</pre>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#getSource()">getSource</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The source.</dd></dl>
</li>
</ul>
<a name="getDestinationDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestinationDir</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestinationDir()</pre>
<div class="block">Returns the directory to generate the documentation into.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The directory to generate the documentation into</dd></dl>
</li>
</ul>
<a name="setDestinationDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestinationDir</h4>
<pre>public&nbsp;void&nbsp;setDestinationDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;destinationDir)</pre>
<div class="block">Sets the directory to generate the documentation into.</div>
</li>
</ul>
<a name="getGroovyClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroovyClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getGroovyClasspath()</pre>
<div class="block">Returns the classpath containing the Groovy library to be used.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classpath containing the Groovy library to be used</dd></dl>
</li>
</ul>
<a name="setGroovyClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGroovyClasspath</h4>
<pre>public&nbsp;void&nbsp;setGroovyClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;groovyClasspath)</pre>
<div class="block">Sets the classpath containing the Groovy library to be used.</div>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block">Returns the classpath used to locate classes referenced by the documented sources.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classpath used to locate classes referenced by the documented sources</dd></dl>
</li>
</ul>
<a name="setClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath used to locate classes referenced by the documented sources.</div>
</li>
</ul>
<a name="getAntGroovydoc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAntGroovydoc</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;org.gradle.api.internal.tasks.AntGroovydoc&nbsp;getAntGroovydoc()</pre>
</li>
</ul>
<a name="setAntGroovydoc(org.gradle.api.internal.tasks.AntGroovydoc)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAntGroovydoc</h4>
<pre>public&nbsp;void&nbsp;setAntGroovydoc(org.gradle.api.internal.tasks.AntGroovydoc&nbsp;antGroovydoc)</pre>
</li>
</ul>
<a name="isUse()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUse</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isUse()</pre>
<div class="block">Returns whether to create class and package usage pages.</div>
</li>
</ul>
<a name="setUse(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUse</h4>
<pre>public&nbsp;void&nbsp;setUse(boolean&nbsp;use)</pre>
<div class="block">Sets whether to create class and package usage pages.</div>
</li>
</ul>
<a name="isNoTimestamp()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNoTimestamp</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isNoTimestamp()</pre>
<div class="block">Returns whether to include timestamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</li>
</ul>
<a name="setNoTimestamp(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoTimestamp</h4>
<pre>public&nbsp;void&nbsp;setNoTimestamp(boolean&nbsp;noTimestamp)</pre>
<div class="block">Sets whether to include timestamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</li>
</ul>
<a name="isNoVersionStamp()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNoVersionStamp</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isNoVersionStamp()</pre>
<div class="block">Returns whether to include version stamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</li>
</ul>
<a name="setNoVersionStamp(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoVersionStamp</h4>
<pre>public&nbsp;void&nbsp;setNoVersionStamp(boolean&nbsp;noVersionStamp)</pre>
<div class="block">Sets whether to include version stamp within hidden comment in generated HTML (Groovy &gt;= 2.4.6).</div>
</li>
</ul>
<a name="getWindowTitle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindowTitle</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getWindowTitle()</pre>
<div class="block">Returns the browser window title for the documentation. Set to <code>null</code> when there is no window title.</div>
</li>
</ul>
<a name="setWindowTitle(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWindowTitle</h4>
<pre>public&nbsp;void&nbsp;setWindowTitle(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;windowTitle)</pre>
<div class="block">Sets the browser window title for the documentation.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>windowTitle</code> - A text for the windows title</dd></dl>
</li>
</ul>
<a name="getDocTitle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocTitle</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDocTitle()</pre>
<div class="block">Returns the title for the package index(first) page. Set to <code>null</code> when there is no document title.</div>
</li>
</ul>
<a name="setDocTitle(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocTitle</h4>
<pre>public&nbsp;void&nbsp;setDocTitle(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;docTitle)</pre>
<div class="block">Sets title for the package index(first) page (optional).</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>docTitle</code> - the docTitle as HTML</dd></dl>
</li>
</ul>
<a name="getHeader()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeader</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getHeader()</pre>
<div class="block">Returns the HTML header for each page. Set to <code>null</code> when there is no header.</div>
</li>
</ul>
<a name="setHeader(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeader</h4>
<pre>public&nbsp;void&nbsp;setHeader(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;header)</pre>
<div class="block">Sets header text for each page (optional).</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>header</code> - the header as HTML</dd></dl>
</li>
</ul>
<a name="getFooter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFooter</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFooter()</pre>
<div class="block">Returns the HTML footer for each page. Set to <code>null</code> when there is no footer.</div>
</li>
</ul>
<a name="setFooter(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFooter</h4>
<pre>public&nbsp;void&nbsp;setFooter(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;footer)</pre>
<div class="block">Sets footer text for each page (optional).</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>footer</code> - the footer as HTML</dd></dl>
</li>
</ul>
<a name="getOverviewText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOverviewText</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getOverviewText()</pre>
<div class="block">Returns a HTML text to be used for overview documentation. Set to <code>null</code> when there is no overview text.</div>
</li>
</ul>
<a name="setOverviewText(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOverviewText</h4>
<pre>public&nbsp;void&nbsp;setOverviewText(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;overviewText)</pre>
<div class="block">Sets a HTML text to be used for overview documentation (optional).
 <p>
 <b>Example:</b> <code>overviewText = resources.text.fromFile("/overview.html")</code></div>
</li>
</ul>
<a name="isIncludePrivate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIncludePrivate</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isIncludePrivate()</pre>
<div class="block">Returns whether to include all classes and members (i.e. including private ones).</div>
</li>
</ul>
<a name="setIncludePrivate(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludePrivate</h4>
<pre>public&nbsp;void&nbsp;setIncludePrivate(boolean&nbsp;includePrivate)</pre>
<div class="block">Sets whether to include all classes and members (i.e. including private ones) if set to true.</div>
</li>
</ul>
<a name="getLinks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinks</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc">Groovydoc.Link</a>&gt;&nbsp;getLinks()</pre>
<div class="block">Returns the links to groovydoc/javadoc output at the given URL.</div>
</li>
</ul>
<a name="setLinks(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLinks</h4>
<pre>public&nbsp;void&nbsp;setLinks(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc">Groovydoc.Link</a>&gt;&nbsp;links)</pre>
<div class="block">Sets links to groovydoc/javadoc output at the given URL.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>links</code> - The links to set</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.html#link(java.lang.String,%20java.lang.String...)"><code>link(String, String...)</code></a></dd></dl>
</li>
</ul>
<a name="link(java.lang.String, java.lang.String...)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>link</h4>
<pre>public&nbsp;void&nbsp;link(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;packages)</pre>
<div class="block">Add links to groovydoc/javadoc output at the given URL.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - Base URL of external site</dd><dd><code>packages</code> - list of package prefixes</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/api/tasks/javadoc/Groovydoc.Link.html" title="class in org.gradle.api.tasks.javadoc"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/javadoc/Groovydoc.html" target="_top">Frames</a></li>
<li><a href="Groovydoc.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
